{% extends '::base.html.twig' %}

{% block body -%}
    <h1 align="center">Location list</h1>

    <table align="center" class="usertableinadmin">
        <thead>
            <tr>
                <th>Partner</th>
                <th>Name</th>
                <th>Country</th>
                <th>Postalcode</th>
                <th>State</th>
                <th>Publicspace</th>
                <th>Address</th>
                <th>Email</th>
                <th>Defaultlocation</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody class="usertableinadmin2">
        {% for entity in pagination %}
            <tr>
                
                <td>{{ entity.partner }}</td>
                <td>{{ entity.name }}</td>
                <td>{{ entity.getCountry }}</td>
                <td>{{ entity.postalcode }}</td>
                <td>{{ entity.state }}</td>
                <td>{{ entity.publicSpace }}</td>
                <td>{{ entity.address }}</td>
                <td>{{ entity.email }}</td>
                <td>{{ entity.defaultlocation }}</td>
                <td>
                <ul>
                    <li>
                        <a href="{{ path('location_show', { 'id': entity.id }) }}">show</a>
                    </li>
                    <li>
                        <a href="{{ path('location_edit', { 'id': entity.id }) }}">edit</a>
                    </li>
                </ul>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
<div class="navigation">
    {{ knp_pagination_render(pagination) }}
</div>
        <ul>
        <li>
            <a href="{{ path('location_new') }}">
                Create a new entry
            </a>
        </li>
    </ul>
    {% endblock %}
